XScreenSaver(1)

NAME
bsod - Blue Screen of Death emulator

SYNOPSIS
bsod [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-delay seconds]

DESCRIPTION
The bsod program is the finest in personal computer emulation.

bsod steps through a set of screens, each one a recreation of a different failure mode of an operating system. Systems depicted include Microsoft's Windows 95 and Windows NT, Commodore-Amiga's AmigaDOS 1.3, SPARC Linux, SCO UNIX, the Apple Macintosh (both the MacsBug debugger and the rarer "Sad Mac"), and the Atari ST.

OPTIONS
bsod accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay delay
    The delay between displaying one crash and another.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

X RESOURCES
Notable X resources supported include the following, which control which hacks are displayed and which aren't. doWindows, doNT, doWin2K, doAmiga, doMac, doMac1, doMacsBug, doSCO, doAtari, doBSD, doLinux, doSparcLinux, doBlitDamage, and doSolaris. Each of these is a Boolean resource, they all default to true, except for doSparcLinux and doAtari, which are turned off by default, because they're really not all that interesting looking unless you're a fan of those systems. There aren't command-line options for these, so to change them, you'll need to add entries to your .Xdefaults file, or use the -xrm option. For example, to tell bsod not to show the NT crash:
    bsod -xrm '*doNT: false'

BUGS
Unlike the systems that the images are borrowed from, bsod does not require a reboot after running.

bsod should also emulate more systems, but systems with interesting crash graphics are not as common as one might hope. One I'd really like to see is a Unix system getting a kernel panic, rebooting, and running fsck(8).

SEE ALSO
X(1), xscreensaver(1), http://www.microsoft.com/, http://www.apple.com/, and http://www.sco.com/, http://www.kernel.org/, and http://www.amiga.de/.

TRADEMARKS
Microsoft Windows, Microsoft Windows 95, and Microsoft Windows NT are all registered trademarks of Microsoft Corporation. Apple Macintosh is a registered trademark of Apple Computer. Amiga is a registered trademark of Amiga International, Inc. Atari ST is probably a trademark, too, but it's hard to tell who owns it. Linux is a registered trademark of Linus Torvalds, but it isn't his fault.

COPYRIGHT
Copyright © 1998 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty. No animals were harmed during the testing of these simulations. Always mount a scratch monkey.

AUTHOR
Concept cribbed from Stephen Martin <smartin@mks.com>. This version is by Jamie Zawinski <jwz@jwz.org>.